VULKAN_HPP_NAMESPACE::SubpassDescription Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SubpassDescription:
[legend]

## Public Member Functions

SubpassDescription (SubpassDescriptionFlags flags_=SubpassDescriptionFlags(), PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, uint32_t inputAttachmentCount_=0, const AttachmentReference *pInputAttachments_=nullptr, uint32_t colorAttachmentCount_=0, const AttachmentReference *pColorAttachments_=nullptr, const AttachmentReference *pResolveAttachments_=nullptr, const AttachmentReference *pDepthStencilAttachment_=nullptr, uint32_t preserveAttachmentCount_=0, const uint32_t *pPreserveAttachments_=nullptr)

| SubpassDescription (VkSubpassDescription const &rhs)
SubpassDescription & | operator= (VkSubpassDescription const &rhs)
SubpassDescription & | setFlags (SubpassDescriptionFlags flags_)
SubpassDescription & | setPipelineBindPoint (PipelineBindPoint pipelineBindPoint_)
SubpassDescription & | setInputAttachmentCount (uint32_t inputAttachmentCount_)
SubpassDescription & | setPInputAttachments (const AttachmentReference *pInputAttachments_)
SubpassDescription & | setColorAttachmentCount (uint32_t colorAttachmentCount_)
SubpassDescription & | setPColorAttachments (const AttachmentReference *pColorAttachments_)
SubpassDescription & | setPResolveAttachments (const AttachmentReference *pResolveAttachments_)
SubpassDescription & | setPDepthStencilAttachment (const AttachmentReference *pDepthStencilAttachment_)
SubpassDescription & | setPreserveAttachmentCount (uint32_t preserveAttachmentCount_)
SubpassDescription & | setPPreserveAttachments (const uint32_t *pPreserveAttachments_)
| operator VkSubpassDescription const & () const
| operator VkSubpassDescription & ()
bool | operator== (SubpassDescription const &rhs) const
bool | operator!= (SubpassDescription const &rhs) const

## Data Fields

SubpassDescriptionFlags | flags
PipelineBindPoint | pipelineBindPoint
uint32_t | inputAttachmentCount
const AttachmentReference * | pInputAttachments
uint32_t | colorAttachmentCount
const AttachmentReference * | pColorAttachments
const AttachmentReference * | pResolveAttachments
const AttachmentReference * | pDepthStencilAttachment
uint32_t | preserveAttachmentCount
const uint32_t * | pPreserveAttachments

## Detailed Description

Definition at line 34786 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SubpassDescription() [1/2]

VULKAN_HPP_NAMESPACE::SubpassDescription::SubpassDescription | ( | SubpassDescriptionFlags | flags_ = `SubpassDescriptionFlags()`,
|  | PipelineBindPoint | pipelineBindPoint_ = `PipelineBindPoint::eGraphics`,
|  | uint32_t | inputAttachmentCount_ = `0`,
|  | const AttachmentReference * | pInputAttachments_ = `nullptr`,
|  | uint32_t | colorAttachmentCount_ = `0`,
|  | const AttachmentReference * | pColorAttachments_ = `nullptr`,
|  | const AttachmentReference * | pResolveAttachments_ = `nullptr`,
|  | const AttachmentReference * | pDepthStencilAttachment_ = `nullptr`,
|  | uint32_t | preserveAttachmentCount_ = `0`,
|  | const uint32_t * | pPreserveAttachments_ = `nullptr`
| ) |  |

inline

Definition at line 34788 of file vulkan.hpp.

: flags( flags_ )
, pipelineBindPoint( pipelineBindPoint_ )
, inputAttachmentCount( inputAttachmentCount_ )
, pInputAttachments( pInputAttachments_ )
, colorAttachmentCount( colorAttachmentCount_ )
, pColorAttachments( pColorAttachments_ )
, pResolveAttachments( pResolveAttachments_ )
, pDepthStencilAttachment( pDepthStencilAttachment_ )
, preserveAttachmentCount( preserveAttachmentCount_ )
, pPreserveAttachments( pPreserveAttachments_ )
{
}

## SubpassDescription() [2/2]

VULKAN_HPP_NAMESPACE::SubpassDescription::SubpassDescription | ( | VkSubpassDescription const & | rhs | ) |

inline

Definition at line 34811 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SubpassDescription ) );
}

References memcpy.

## Member Function Documentation

## operator VkSubpassDescription &()

VULKAN_HPP_NAMESPACE::SubpassDescription::operator VkSubpassDescription & | ( |  | ) |

inline

Definition at line 34886 of file vulkan.hpp.

{
return *reinterpret_cast<VkSubpassDescription*>(this);
}

## operator VkSubpassDescription const &()

VULKAN_HPP_NAMESPACE::SubpassDescription::operator VkSubpassDescription const & | ( |  | ) | const

inline

Definition at line 34881 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSubpassDescription*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SubpassDescription::operator!= | ( | SubpassDescription const & | rhs | ) | const

inline

Definition at line 34905 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::operator= | ( | VkSubpassDescription const & | rhs | ) |

inline

Definition at line 34816 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SubpassDescription ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SubpassDescription::operator== | ( | SubpassDescription const & | rhs | ) | const

inline

Definition at line 34891 of file vulkan.hpp.

{
return ( flags == rhs.flags )
&& ( pipelineBindPoint == rhs.pipelineBindPoint )
&& ( inputAttachmentCount == rhs.inputAttachmentCount )
&& ( pInputAttachments == rhs.pInputAttachments )
&& ( colorAttachmentCount == rhs.colorAttachmentCount )
&& ( pColorAttachments == rhs.pColorAttachments )
&& ( pResolveAttachments == rhs.pResolveAttachments )
&& ( pDepthStencilAttachment == rhs.pDepthStencilAttachment )
&& ( preserveAttachmentCount == rhs.preserveAttachmentCount )
&& ( pPreserveAttachments == rhs.pPreserveAttachments );
}

References colorAttachmentCount, flags, inputAttachmentCount, pColorAttachments, pDepthStencilAttachment, pInputAttachments, pipelineBindPoint, pPreserveAttachments, preserveAttachmentCount, and pResolveAttachments.

Referenced by operator!=().

## setColorAttachmentCount()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setColorAttachmentCount | ( | uint32_t | colorAttachmentCount_ | ) |

inline

Definition at line 34845 of file vulkan.hpp.

{
colorAttachmentCount = colorAttachmentCount_;
return *this;
}

References colorAttachmentCount.

## setFlags()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setFlags | ( | SubpassDescriptionFlags | flags_ | ) |

inline

Definition at line 34821 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setInputAttachmentCount()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setInputAttachmentCount | ( | uint32_t | inputAttachmentCount_ | ) |

inline

Definition at line 34833 of file vulkan.hpp.

{
inputAttachmentCount = inputAttachmentCount_;
return *this;
}

References inputAttachmentCount.

## setPColorAttachments()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPColorAttachments | ( | const AttachmentReference * | pColorAttachments_ | ) |

inline

Definition at line 34851 of file vulkan.hpp.

{
pColorAttachments = pColorAttachments_;
return *this;
}

References pColorAttachments.

## setPDepthStencilAttachment()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPDepthStencilAttachment | ( | const AttachmentReference * | pDepthStencilAttachment_ | ) |

inline

Definition at line 34863 of file vulkan.hpp.

{
pDepthStencilAttachment = pDepthStencilAttachment_;
return *this;
}

References pDepthStencilAttachment.

## setPInputAttachments()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPInputAttachments | ( | const AttachmentReference * | pInputAttachments_ | ) |

inline

Definition at line 34839 of file vulkan.hpp.

{
pInputAttachments = pInputAttachments_;
return *this;
}

References pInputAttachments.

## setPipelineBindPoint()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPipelineBindPoint | ( | PipelineBindPoint | pipelineBindPoint_ | ) |

inline

Definition at line 34827 of file vulkan.hpp.

{
pipelineBindPoint = pipelineBindPoint_;
return *this;
}

References pipelineBindPoint.

## setPPreserveAttachments()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPPreserveAttachments | ( | const uint32_t * | pPreserveAttachments_ | ) |

inline

Definition at line 34875 of file vulkan.hpp.

{
pPreserveAttachments = pPreserveAttachments_;
return *this;
}

References pPreserveAttachments.

## setPreserveAttachmentCount()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPreserveAttachmentCount | ( | uint32_t | preserveAttachmentCount_ | ) |

inline

Definition at line 34869 of file vulkan.hpp.

{
preserveAttachmentCount = preserveAttachmentCount_;
return *this;
}

References preserveAttachmentCount.

## setPResolveAttachments()

SubpassDescription& VULKAN_HPP_NAMESPACE::SubpassDescription::setPResolveAttachments | ( | const AttachmentReference * | pResolveAttachments_ | ) |

inline

Definition at line 34857 of file vulkan.hpp.

{
pResolveAttachments = pResolveAttachments_;
return *this;
}

References pResolveAttachments.

## Field Documentation

## colorAttachmentCount

uint32_t VULKAN_HPP_NAMESPACE::SubpassDescription::colorAttachmentCount

Definition at line 34914 of file vulkan.hpp.

Referenced by operator==(), and setColorAttachmentCount().

## flags

SubpassDescriptionFlags VULKAN_HPP_NAMESPACE::SubpassDescription::flags

Definition at line 34910 of file vulkan.hpp.

Referenced by operator==().

## inputAttachmentCount

uint32_t VULKAN_HPP_NAMESPACE::SubpassDescription::inputAttachmentCount

Definition at line 34912 of file vulkan.hpp.

Referenced by operator==(), and setInputAttachmentCount().

## pColorAttachments

const AttachmentReference* VULKAN_HPP_NAMESPACE::SubpassDescription::pColorAttachments

Definition at line 34915 of file vulkan.hpp.

Referenced by operator==(), and setPColorAttachments().

## pDepthStencilAttachment

const AttachmentReference* VULKAN_HPP_NAMESPACE::SubpassDescription::pDepthStencilAttachment

Definition at line 34917 of file vulkan.hpp.

Referenced by operator==(), and setPDepthStencilAttachment().

## pInputAttachments

const AttachmentReference* VULKAN_HPP_NAMESPACE::SubpassDescription::pInputAttachments

Definition at line 34913 of file vulkan.hpp.

Referenced by operator==(), and setPInputAttachments().

## pipelineBindPoint

PipelineBindPoint VULKAN_HPP_NAMESPACE::SubpassDescription::pipelineBindPoint

Definition at line 34911 of file vulkan.hpp.

Referenced by operator==(), and setPipelineBindPoint().

## pPreserveAttachments

const uint32_t* VULKAN_HPP_NAMESPACE::SubpassDescription::pPreserveAttachments

Definition at line 34919 of file vulkan.hpp.

Referenced by operator==(), and setPPreserveAttachments().

## preserveAttachmentCount

uint32_t VULKAN_HPP_NAMESPACE::SubpassDescription::preserveAttachmentCount

Definition at line 34918 of file vulkan.hpp.

Referenced by operator==(), and setPreserveAttachmentCount().

## pResolveAttachments

const AttachmentReference* VULKAN_HPP_NAMESPACE::SubpassDescription::pResolveAttachments

Definition at line 34916 of file vulkan.hpp.

Referenced by operator==(), and setPResolveAttachments().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SubpassDescription::pDepthStencilAttachment
const AttachmentReference * pDepthStencilAttachment
Definition: vulkan.hpp:34917
VULKAN_HPP_NAMESPACE::SubpassDescription::inputAttachmentCount
uint32_t inputAttachmentCount
Definition: vulkan.hpp:34912
VULKAN_HPP_NAMESPACE::SubpassDescription::pInputAttachments
const AttachmentReference * pInputAttachments
Definition: vulkan.hpp:34913
VkSubpassDescription
Definition: vulkan_core.h:2635
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SubpassDescription::pPreserveAttachments
const uint32_t * pPreserveAttachments
Definition: vulkan.hpp:34919
VULKAN_HPP_NAMESPACE::SubpassDescription::preserveAttachmentCount
uint32_t preserveAttachmentCount
Definition: vulkan.hpp:34918
VULKAN_HPP_NAMESPACE::SubpassDescription::pColorAttachments
const AttachmentReference * pColorAttachments
Definition: vulkan.hpp:34915
VULKAN_HPP_NAMESPACE::SubpassDescription::colorAttachmentCount
uint32_t colorAttachmentCount
Definition: vulkan.hpp:34914
VULKAN_HPP_NAMESPACE::SubpassDescription::pResolveAttachments
const AttachmentReference * pResolveAttachments
Definition: vulkan.hpp:34916
VULKAN_HPP_NAMESPACE::SubpassDescription::flags
SubpassDescriptionFlags flags
Definition: vulkan.hpp:34910
VULKAN_HPP_NAMESPACE::SubpassDescription::SubpassDescription
SubpassDescription(SubpassDescriptionFlags flags_=SubpassDescriptionFlags(), PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, uint32_t inputAttachmentCount_=0, const AttachmentReference *pInputAttachments_=nullptr, uint32_t colorAttachmentCount_=0, const AttachmentReference *pColorAttachments_=nullptr, const AttachmentReference *pResolveAttachments_=nullptr, const AttachmentReference *pDepthStencilAttachment_=nullptr, uint32_t preserveAttachmentCount_=0, const uint32_t *pPreserveAttachments_=nullptr)
Definition: vulkan.hpp:34788
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::SubpassDescription::operator==
bool operator==(SubpassDescription const &rhs) const
Definition: vulkan.hpp:34891
VULKAN_HPP_NAMESPACE::SubpassDescription::pipelineBindPoint
PipelineBindPoint pipelineBindPoint
Definition: vulkan.hpp:34911